#include<bits/stdc++.h>
using namespace std;

int findTrue(int q)
{
    for(int j = 1; j*j < q; j++)
    {
        int goal = q-j*j;
        for(int k = 1; k*k < q; k++)
        {
            if(k*k == goal)
            {
                return 1;
            }
        }
    }
    return 0;
}

int main()
{
    int n;
    cin>>n;
    int q;
    for(int i = 0; i < n; i++)
    {
        cin>>q;
        cout<<findTrue(q);
    }
    return 0;
}
